django.core.exceptions.ImproperlyConfigured: mysqlclient 1.3.13 or newer is required; you have 0.9.2.之异常处理

异常提示:

解决办法:在项目名下的__init__中加入:python.version_info=(1,3,13,"final",0)

 保存后重新启动项目即可!

最终,通过执行迁移文件,我们将Django项目中创建的模型转化为MySql中的数据表。

执行迁移文件的两条命令:

python manage.py makemigrations

python manage.py migrate

 

 

参考文档:Django3 中遇到django.core.exceptions.ImproperlyConfigured mysqlclient 1.3.13 or newer is required; you have 0.9.3.异常的解决方案

posted @ 2020-04-20 14:48  铁林淼炎圭  阅读(4537)  评论(2编辑  收藏
Live2D